from django import forms
from django.contrib.auth.forms import UserCreationForm, UserChangeForm
from .models import Explorer, Place, PlaceImage

class ExplorerCreationForm(UserCreationForm):
    class Meta:
        model = Explorer
        fields = ('username', 'email')

class ExplorerChangeForm(UserChangeForm):

    class Meta:
        model = Explorer
        fields = ('username', 'email')

class PlaceForm(forms.ModelForm):
    class Meta:
        model = Place
        fields = '__all__'
        exclude = ['submitted_by']
        
class PlaceImageCreateForm(forms.ModelForm):
    class Meta:
        model = PlaceImage
        fields = '__all__'
        exclude = ['submitted_by', 'place', 'description']
        widgets = {
            'filename': forms.ClearableFileInput(attrs={'multiple': True})
        }

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        print(self.fields)
        self.fields['filename'].required = False
